MOUNT_ADOS(8) | System Manager's Manual | MOUNT_ADOS(8)

# NAME

`mount_ados` — mount an AmigaDOS file system

# SYNOPSIS

`mount_ados` | [`-o` options] [`-u` uid] [`-g` gid] [`-m` mask] special node

# DESCRIPTION

The `mount_ados` command attaches the AmigaDOS filesystem residing on the device special to the global filesystem namespace at the location indicated by node. Both special and node are converted to absolute paths before use. This command is normally executed by mount(8) at boot time, but can be used by any user to mount an AmigaDOS file system on any directory that they own (provided, of course, that they have appropriate access to the device that contains the file system).

The options are as follows:

`-o` options
  Use the specified mount options, as described in mount(8).
`-u` uid
  Set the owner of the files in the file system to uid. The default owner is the owner of the directory on which the file system is being mounted.
`-g` gid
  Set the group of the files in the file system to gid. The default group is the group of the directory on which the file system is being mounted.
`-m` mask
  Specify the maximum file permissions for files in the file system. (For example, a mask of `755` specifies that, by default, the owner should have read, write, and execute permissions for files, but others should only have read and execute permissions. See chmod(1) for more information about octal file modes.) Only the nine low-order bits of mask are used. The default mask is taken from the directory on which the file system is being mounted.

# SEE ALSO

mount(2), unmount(2), fstab(5), mount(8)

# HISTORY

The `mount_ados` utility first appeared in NetBSD 1.0.

# BUGS

The ‘ados’ filesystem currently supports the Amiga fast file system.

The ‘ados’ filesystem implementation currently is read-only. The `mount_ados` utility silently retries the mount read-only, as if the ro option were specified, when it encounters the [`EROFS`] error.

April 7, 1994 | NetBSD 10.99